Package org.apache.cxf.staxutils

# Class FastStack<T>

java.lang.Object
java.util.AbstractCollection<E>
java.util.AbstractList<E>
java.util.ArrayList<T>
org.apache.cxf.staxutils.FastStack<T>

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Iterable<T>`, `Collection<T>`, `List<T>`, `RandomAccess`

public class FastStack<T> extends ArrayList<T>

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class java.util.AbstractList

  `modCount`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FastStack()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `empty()`
  `T`
  `peek()`
  `T`
  `pop()`
  `void`
  `push(T o)`

  ### Methods inherited from class java.util.ArrayList

  `add, add, addAll, addAll, clear, clone, contains, ensureCapacity, equals, forEach, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

  ### Methods inherited from class java.util.AbstractCollection

  `containsAll, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `parallelStream, stream, toArray`

  ### Methods inherited from interface java.util.List

  `containsAll`

- ## Constructor Details

  - ### FastStack

    public FastStack()

- ## Method Details

  - ### push

    public void push(T o)

  - ### pop

    public T pop()

  - ### empty

    public boolean empty()

  - ### peek

    public T peek()